/*
 * Sequencer.c
 *
 * Created: 22.09.2020 21:11:39
 * Author : Marcus
 */ 
#define F_CPU 1000000UL

#include "main.h"
#include <avr/io.h>
#include <util/delay.h>


int main(void)
{
	
	// Eingnge
	DDRB &= ~(( 1 << PTT));
	DDRA &= ~(( 1 << RB_ena));

	// Ausgnge
	DDRA |= ((1 << Seq1) | (1 << Seq2) | (1 << Seq3) | (1 << Seq4)| (1 << Beep));		// Out 1-4 und 7

	// Pull up an
	PORTB |= ((1 << PTT));
	PORTA |= ((1 << RB_ena));

	// Ausgnge = low
	PORTA &= ~( (1<<Seq1) | (1<<Seq2) | (1<<Seq3) | (1<<Seq4) | (1<<Beep));	/* Pins = "low" */

	while (1)
	{
		
		while (!(PINB & (1<<PTT))) 
		{
			PORTA |= (1 << Seq1);
			_delay_ms(delay_seq);
			PORTA |= (1 << Seq2);
			_delay_ms(delay_seq);
			PORTA |= (1 << Seq3);
			_delay_ms(delay_seq);
			PORTA |= (1 << Seq4);
			_delay_ms(delay_seq);
			
			while (!(PINB & (1<<PTT)))			// solange PTT gedrckt ist
			{			}
				
			if ( !(PINA & (1 << RB_ena)) )		/* Fuehre Aktion aus, wenn Bit geloescht (0) ist */
			{
				for (int i = 0; i <= 250; i++)
				{
					PORTA |= (1 << Beep);
					_delay_us(500);
					PORTA &= ~(1 << Beep);
					_delay_us(500);
				}
			}

			PORTA &= ~(1 << Seq4);
			_delay_ms(delay_seq);
			PORTA &= ~(1 << Seq3);
			_delay_ms(delay_seq);
			PORTA &= ~(1 << Seq2);
			_delay_ms(delay_seq);
			PORTA &= ~(1 << Seq1);
			_delay_ms(delay_seq);
		}
	}
}
